/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.bigdata.entity;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springblade.core.mp.base.TenantEntity;

/**
 * 模板组件详情实体类
 *
 * @author BladeX
 * @since 2021-04-15
 */
@Data
@TableName("blade_visual_config")
@ApiModel(value = "VisualConfig对象", description = "模板组件详情")
public class VisualConfig extends TenantEntity implements Serializable {

	private static final long serialVersionUID = 1L;

	/**
	* 主键
	*/
		@ApiModelProperty(value = "主键")
		@TableId(value = "id", type = IdType.AUTO)
	private Integer id;
	/**
	* 可视化表主键
	*/
		@ApiModelProperty(value = "可视化表主键")
		private Integer visualId;
	/**
	* 配置json
	*/
		@ApiModelProperty(value = "配置json")
		private String detail;
	/**
	* 组件json
	*/
		@ApiModelProperty(value = "组件json")
		private String component;
}
