/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.bigdata.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springblade.bigdata.entity.VisualConfig;
import org.springblade.bigdata.mapper.VisualConfigMapper;
import org.springblade.bigdata.service.IVisualConfigService;
import org.springblade.bigdata.vo.VisualConfigVO;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 模板组件详情 服务实现类
 *
 * @author BladeX
 * @since 2021-04-15
 */
@Service
public class VisualConfigServiceImpl extends ServiceImpl<VisualConfigMapper, VisualConfig> implements IVisualConfigService {

	@Override
	public IPage<VisualConfigVO> selectVisualConfigPage(IPage<VisualConfigVO> page, VisualConfigVO visualConfig) {
		return page.setRecords(baseMapper.selectVisualConfigPage(page, visualConfig));
	}

	@Override
	public VisualConfig selectByVisualId(Integer visualId) {
		QueryWrapper queryWrapper = new QueryWrapper();
		queryWrapper.eq("visual_id", visualId);
		List<VisualConfig> list = baseMapper.selectList(queryWrapper);
		if (null != list && list.size() > 0) {
			return list.get(0);
		}
		return null;
	}

}
