/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.bigdata.service.impl;

import org.springblade.bigdata.entity.VisualMap;
import org.springblade.bigdata.vo.VisualMapVO;
import org.springblade.bigdata.mapper.VisualMapMapper;
import org.springblade.bigdata.service.IVisualMapService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;

/**
 * 可视化地图配置表 服务实现类
 *
 * @author BladeX
 * @since 2021-03-01
 */
@Service
public class VisualMapServiceImpl extends ServiceImpl<VisualMapMapper, VisualMap> implements IVisualMapService {

	@Override
	public IPage<VisualMapVO> selectVisualMapPage(IPage<VisualMapVO> page, VisualMapVO visualMap) {
		return page.setRecords(baseMapper.selectVisualMapPage(page, visualMap));
	}

}
