/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.bigdata.wrapper;

import java.util.Objects;

import org.springblade.bigdata.entity.VisualCategory;
import org.springblade.bigdata.vo.VisualCategoryVO;
import org.springblade.core.mp.support.BaseEntityWrapper;

import cn.hutool.core.bean.BeanUtil;

/**
 * 可视化分类表包装类,返回视图层所需的字段
 *
 * @author BladeX
 * @since 2021-03-01
 */
public class VisualCategoryWrapper extends BaseEntityWrapper<VisualCategory, VisualCategoryVO>  {

	public static VisualCategoryWrapper build() {
		return new VisualCategoryWrapper();
 	}

	@Override
	public VisualCategoryVO entityVO(VisualCategory visualCategory) {
		VisualCategoryVO visualCategoryVO = Objects.requireNonNull(BeanUtil.copyProperties(visualCategory, VisualCategoryVO.class));

		//User createUser = UserCache.getUser(visualCategory.getCreateUser());
		//User updateUser = UserCache.getUser(visualCategory.getUpdateUser());
		//visualCategoryVO.setCreateUserName(createUser.getName());
		//visualCategoryVO.setUpdateUserName(updateUser.getName());

		return visualCategoryVO;
	}

}
