/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.bigdata.wrapper;

import java.util.Objects;

import org.springblade.bigdata.entity.VisualMap;
import org.springblade.bigdata.vo.VisualMapVO;
import org.springblade.core.mp.support.BaseEntityWrapper;

import cn.hutool.core.bean.BeanUtil;

/**
 * 可视化地图配置表包装类,返回视图层所需的字段
 *
 * @author BladeX
 * @since 2021-03-01
 */
public class VisualMapWrapper extends BaseEntityWrapper<VisualMap, VisualMapVO>  {

	public static VisualMapWrapper build() {
		return new VisualMapWrapper();
 	}

	@Override
	public VisualMapVO entityVO(VisualMap visualMap) {
		VisualMapVO visualMapVO = Objects.requireNonNull(BeanUtil.copyProperties(visualMap, VisualMapVO.class));

		//User createUser = UserCache.getUser(visualMap.getCreateUser());
		//User updateUser = UserCache.getUser(visualMap.getUpdateUser());
		//visualMapVO.setCreateUserName(createUser.getName());
		//visualMapVO.setUpdateUserName(updateUser.getName());

		return visualMapVO;
	}

}
