/**
 * 
 */
package org.springblade.cube.dto;

import java.io.Serializable;
import java.util.List;

import javax.validation.constraints.NotNull;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author wookvn
 *
 */
@Data
@ApiModel("静态数据集请求结构体")
public class CubeStaticDataParam implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	/**
	 * 
	 */
	@ApiModelProperty("数据集ID[编辑时候使用]")
	private Integer cubeId;
	
	/**
	 * 数据集名称
	 */
	@ApiModelProperty("数据集名称")
	private String cubeName;
	
	/**
	 * 数据源ID
	 */
	@ApiModelProperty("数据源ID")
	private Integer datasourceId;
	
	/**
	 * 表名
	 */
	@ApiModelProperty(hidden = true)
	private String tableName;
	
	/**
	 * 表注释
	 */
	@ApiModelProperty("表注释")
	private String tableComment;
	
	/**
	 * 数据体
	 */
	@ApiModelProperty("数据体")
	@NotNull(message = "数据不能为空")
	private List<List<String>> body;

	@ApiModelProperty("数据集分类ID【默认使用-1，0是数据集的顶级ID】")
	private Integer cubeWorkspaceId = -1;
}
