package org.springblade.cube.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 批量导入表单数据参数
 * 
 * @author william
 * @date 2022年9月14日 下午1:57:56
 */
@Data
@ApiModel(value = "ExcelFormParam", description = "批量导入表单数据参数")
public class ExcelFormParam {

	@ApiModelProperty(value = "表名", name = "tableName", required = true)
	private String tableName;

	@ApiModelProperty(value = "数据源id", name = "dsId", required = true)
	private Integer dsId;

	@ApiModelProperty(value = "excel是否带表头", name = "withHeader", required = true)
	private Boolean withHeader;

	@ApiModelProperty(value = "excel相对路径", name = "file", required = true)
	private String file;

	@ApiModelProperty(value = "字段ID和Excel列索引映射关系", name = "list", required = true)
	private List<ExcelFieldIndex> list;
	
	@ApiModelProperty(value = "是否清空原有数据", name = "isTruncate", required = true)
	private Integer isTruncate;

	@Data
	@ApiModel(value = "ExcelFieldIndex", description = "字段名称和Excel列索引映射关系")
	public static class ExcelFieldIndex {

		@ApiModelProperty(value = "Excel列索引（从0开始）", name = "index", required = true)
		private int index;

		@ApiModelProperty(value = "字段名称", name = "columnName", required = true)
		private String columnName;

		public ExcelFieldIndex() {
		}

		public ExcelFieldIndex(Integer index, String columnName) {
			super();
			this.index = index;
			this.columnName = columnName;
		}
	}
}
