/**
 * 
 */
package org.springblade.cube.dto;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import springfox.documentation.annotations.ApiIgnore;

/**
 * @author wookvn
 *
 */
@Data
@ApiModel("数据预览结构")
@AllArgsConstructor
@NoArgsConstructor
public class PreviewResult implements Serializable {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	@ApiModelProperty("数据列表")
	private List<Map<String, Object>> dataList;
	
	@ApiModelProperty("字段别名映射字典")
	private Map<String, String> fieldDict;
	
	@ApiModelProperty("是否有权限[true-有/false-无]")
	private boolean permStatus;
	
	@ApiModelProperty("数据集名称")
	private String cubeName;

	/**
	 * 数据排序
	 */
	private Integer order;

	/**
	 * @param dataList
	 * @param fieldDict
	 */
	public PreviewResult(List<Map<String, Object>> dataList, Map<String, String> fieldDict, String cubeName) {
		super();
		this.dataList = dataList;
		this.fieldDict = fieldDict;
		this.cubeName = cubeName;
		this.permStatus = true;
	}

	public PreviewResult(List<Map<String, Object>> dataList, Map<String, String> fieldDict, String cubeName, Integer order) {
		super();
		this.dataList = dataList;
		this.fieldDict = fieldDict;
		this.cubeName = cubeName;
		this.permStatus = true;
		this.order = order;
	}
	
}
