/**
 * 
 */
package org.springblade.cube.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;

/**
 * @author wookvn
 *	
 *	聚合函数
 */
public enum AggregationTypeEnum {

	/**
	 * 求和
	 */
	SUM(1, "SUM(%s)"),
	
	/**
	 * 计数
	 */
	COUNT(2, "COUNT(%s)"),
	
	/**
	 * 去重计数
	 */
	COUNT_UNIQ(3, "COUNT(distinct %s)"),
	
	/**
	 * 最大值
	 */
	MAX(4, "MAX(%s)"),
	
	/**
	 * 最小值
	 */
	MIN(5, "MIN(%s)"),
	
	/**
	 * 平均值
	 */
	AVG(6, "AVG(%s)");
	
	@EnumValue
	private int value;
	private String method;

	/**
	 * @param value
	 */
	private AggregationTypeEnum(int value, String method) {
		this.value = value;
		this.method = method;
	}

	/**
	 * @return the value
	 */
	public int getValue() {
		return value;
	}

	/**
	 * @return the method
	 */
	public String getMethod() {
		return method;
	}
	
}
