/**
 * 
 */
package org.springblade.cube.mapper;

import java.util.List;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.springblade.cube.dto.CubeVisualInfo;
import org.springblade.cube.model.CubeData;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * @author wookvn
 *
 */
public interface CubeDataMapper extends BaseMapper<CubeData> {

	@Select("select * from cube_data where datasource_id = #{dsId} and JSON_CONTAINS(cube_table_names, JSON_OBJECT('tableName', #{tableName}))")
	public List<CubeData> listByTableName(@Param("dsId")Integer dsId, @Param("tableName")String tableName);
	
	@Select({
		"select distinct c.workspace_id from cube_data c",
		"left join cube_data_permission a on c.id = a.cube_data_id",
		"left join data_permission_user b on a.data_perm_id = b.data_perm_id",
		"where b.user_id = #{userId} or c.create_user_id = #{userId} or c.public_status = 1"
	})
	public List<Integer> workspaceIdList(@Param("userId") Long userId);

	@InterceptorIgnore(tenantLine = "true")
	@Select("select * from cube_data where tenant_id = #{tenantId}")
    List<CubeData> getList(String tenantId);


	@Select("<script>" +
			"select * from cube_data where id in("
			+"<foreach collection='cubeDataIds' separator=',' item='id'>"
			+ "#{id} "
			+ "</foreach> "
			+") and tenant_id = #{tenantId}</script>")
	@InterceptorIgnore(tenantLine = "true")
    List<CubeData> selects(String tenantId,List<Integer> cubeDataIds);

	@Select("<script>" +
			"select distinct vt.id as visual_id, vt.title as title, cd.id as cube_id from visual_data vt"
			+ " inner join visual_component vc on vt.id = vc.visual_id"
			+ " inner join cube_data cd on vc.cube_data_id = cd.id and cd.id in("
			+ "<foreach collection='cubeIds' separator=',' item='id'>"
			+ "#{id} "
			+ "</foreach> "
			+ ")</script>")
	@InterceptorIgnore(tenantLine = "true")
    List<CubeVisualInfo> getVisualInfos(List<Integer> cubeIds);
}
