/**
 * 
 */
package org.springblade.cube.mapper;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.springblade.cube.model.CubeTableColumn;

import java.util.List;

/**
 * @author wookvn
 *
 */
public interface CubeTableColumnMapper extends BaseMapper<CubeTableColumn> {
    
    @Select("select * from cube_table_column where cube_data_id = #{value}")
    @InterceptorIgnore(tenantLine = "true")
    List<CubeTableColumn> listByCubeId(Integer cubeId);

    @Select({"<script>",
            "select * from cube_table_column where cube_data_id in",
            "<foreach collection='list' item='value' open='(' separator=',' close=')'>",
            "#{value}",
            "</foreach>",
            "</script>"})
    @InterceptorIgnore(tenantLine = "true")
    List<CubeTableColumn> listByCubeIds(@Param("list") List<Integer> cubeIds);
}
