/**
 * 
 */
package org.springblade.cube.model;

import java.io.Serializable;
import java.util.Date;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author wookvn
 *
 */
@Data
@TableName("cube_data_permission")
public class CubeDataPermission implements Serializable {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	@TableId(type = IdType.AUTO)
	private Integer id;
	
	/**
	 * 数据集权限组名
	 */
	@NotEmpty(message = "数据集权限组名称不能为空")
	@ApiModelProperty("数据集权限组名称")
	private String cubePermName;
	/**
	 * 数据集ID
	 */
	@NotNull(message = "数据集ID不能为空")
	@ApiModelProperty("数据集ID")
	private Integer cubeDataId;
	/**
	 * 权限组ID
	 */
	@NotNull(message = "权限组ID不能为空")
	@ApiModelProperty("权限组ID")
	private Integer dataPermId;
	/**
	 * 过滤器JSON
	 */
	@ApiModelProperty("过滤器JSON")
	private String filterJson;
	
	@ApiModelProperty("过滤器SQL片段[后端自动解析]")
	private String filterSql;
	
	@ApiModelProperty("不包含的字段ID列表[逗号隔开]")
	private String excludeColumnIds;
	
	private Date createTime;
	
	private Long createUserId;

}
