///**
// *
// */
//package org.springblade.datasource.dialect;
//
//import cn.hutool.core.util.StrUtil;
//import com.alibaba.druid.util.JdbcUtils;
//import lombok.extern.slf4j.Slf4j;
//import org.springblade.core.tool.exception.ServiceException;
//import org.springblade.cube.model.FileStructure;
//import org.springblade.datasource.AbstractGmetryDialect;
//import org.springblade.datasource.enums.DetailColumnTypeEnum;
//import org.springblade.datasource.enums.DsTypeEnum;
//import org.springblade.datasource.enums.FunctionMethodEnum;
//import org.springblade.datasource.enums.ViewColumnTypeEnum;
//import org.springblade.datasource.model.TableColumnDto;
//import org.springblade.datasource.model.TableViewDto;
//import org.springblade.datasource.support.DynamicDataSourceSupport;
//import org.springblade.report.entity.ReportDatasource;
//import org.springframework.stereotype.Component;
//
//import java.sql.Connection;
//import java.sql.ResultSet;
//import java.sql.SQLException;
//import java.sql.Statement;
//import java.util.ArrayList;
//import java.util.List;
//import java.util.function.Consumer;
//
///**
// * @author wookvn
// *
// */
//@Slf4j
//@Component
//public class TdengineGmetryDialect extends AbstractGmetryDialect {
//
//	{
//		//数据类型
//		columnTypeMap.put(ViewColumnTypeEnum.NUMBER, "double");
//		columnTypeMap.put(ViewColumnTypeEnum.STRING, "NCHAR(1000)");
//		columnTypeMap.put(ViewColumnTypeEnum.DATETIME, "timestamp");
//		columnTypeMap.put(ViewColumnTypeEnum.BIGINT, "bigint");
//
//		//函数方法
////		functionMethodMap.put(FunctionMethodEnum.DATE_TO_STR, "DATE_FORMAT(%s, '%s')");
//		functionMethodMap.put(FunctionMethodEnum.STR_TO_DATE, "TO_UNIXTIMESTAMP(%s, '%s')");
////		functionMethodMap.put(FunctionMethodEnum.NUMBER_TO_DATE, "TO_UNIXTIMESTAMP(CONCAT(%s, ''), '%s')");
//		functionMethodMap.put(FunctionMethodEnum.NUMBER_JOINT_PERCENT, "CONCAT(%s, '%%')");
//
//		//日期格式化
////		dateFormatMap.put(DateFormatEnum.yyyy, "yyyy");
////		dateFormatMap.put(DateFormatEnum.yyyyMM, "yyyyMM");
////		dateFormatMap.put(DateFormatEnum.yyyy_MM, "yyyy-MM");
////		dateFormatMap.put(DateFormatEnum.yyyy$MM, "yyyy/MM");
////		dateFormatMap.put(DateFormatEnum.yyyyMMdd, "yyyyMMdd");
////		dateFormatMap.put(DateFormatEnum.yyyy_MM_dd, "yyyy-MM-dd");
////		dateFormatMap.put(DateFormatEnum.yyyy$MM$dd, "yyyy/MM/dd");
////		dateFormatMap.put(DateFormatEnum.yyyyMMddhh$mm$ss,"yyyyMMdd hh:mm:ss");
////		dateFormatMap.put(DateFormatEnum.yyyy_MM_ddhh$mm$ss,"yyyy-MM-dd hh:mm:ss");
////		dateFormatMap.put(DateFormatEnum.yyyy$MM$ddhh$mm$ss,"yyyy/MM/dd hh:mm:ss");
////		dateFormatMap.put(DateFormatEnum.hh,"hh");
////		dateFormatMap.put(DateFormatEnum.hh$mm,"hh:mm");
////		dateFormatMap.put(DateFormatEnum.hh$mm$ss,"hh:mm:ss");
//	}
//
//	@Override
//	public List<String> buildCreateTableSql(String tableName, String tableComment, List<FileStructure> structureList) {
//		throw new ServiceException("不支持TdEngine数据源自动建表");
//	}
//
//	@Override
//	public List<TableViewDto> listTableViewsByDatasource(ReportDatasource datasource, String tableName) {
//		String suffixSql = StrUtil.isNotBlank(tableName) ? String.format("and table_name = '%s'", tableName) : "";
//		String querySql = String.format("select * from information_schema.ins_tables where db_name = '%s' %s", datasource.getDsDb(), suffixSql);
//		List<TableViewDto> dataList = new ArrayList<>();
//		_accept(datasource, querySql, rs -> {
//			try {
//				while(rs.next()) {
//					TableViewDto tableDto = new TableViewDto();
//					tableDto.setDatasourceId(datasource.getId());
//					tableDto.setTableComments(rs.getString("table_comment"));
//					tableDto.setTableViewName(rs.getString("table_name"));
//					dataList.add(tableDto);
//				}
//			} catch (SQLException e) {
//				log.error(e.getMessage(), e);
//			}
//		});
//		return dataList;
//	}
//
//	@Override
//	public List<TableColumnDto> listTableColumnsByTableViewName(ReportDatasource datasource, String tableViewName) {
//		String querySql = String.format("DESCRIBE %s", tableViewName);
//		List<TableColumnDto> dataList = new ArrayList<TableColumnDto>();
//		_accept(datasource, querySql, rs -> {
//			try {
//				while(rs.next()) {
//					TableColumnDto columnDto = new TableColumnDto();
////					columnDto.setColumnComments(rs.getString("comment"));
//					String dataType = rs.getString("type");
//					columnDto.setDataType(dataType);
//					columnDto.setColumnName(rs.getString("field"));
//					columnDto.setColumnSize(rs.getInt("length"));
//					columnDto.setNullAbleStatus(1);
//					if(StrUtil.containsAnyIgnoreCase(dataType, "NCHAR", "VARCHAR", "BINARY", "JSON")) {
//						columnDto.setColumnType(ViewColumnTypeEnum.STRING);
//						columnDto.setDetailColumnType(DetailColumnTypeEnum.STRING);
//					}else if(StrUtil.containsAnyIgnoreCase(dataType, "TIMESTAMP")) {
//						columnDto.setColumnType(ViewColumnTypeEnum.DATETIME);
//						columnDto.setDetailColumnType(DetailColumnTypeEnum.DATETIME);
//					}else if(StrUtil.containsAnyIgnoreCase(dataType, "float", "double")) {
//						columnDto.setColumnType(ViewColumnTypeEnum.NUMBER);
//						columnDto.setDetailColumnType(DetailColumnTypeEnum.FLT);
//					}else if(StrUtil.containsIgnoreCase(dataType, "bigint")) {
//						columnDto.setColumnType(ViewColumnTypeEnum.NUMBER);
//						columnDto.setDetailColumnType(DetailColumnTypeEnum.LONG);
//					}else{
//						columnDto.setColumnType(ViewColumnTypeEnum.NUMBER);
//						columnDto.setDetailColumnType(DetailColumnTypeEnum.INT);
//					}
//					dataList.add(columnDto);
//				}
//			} catch (SQLException e) {
//				log.error(e.getMessage(), e);
//			}
//		});
//		return dataList;
//	}
//
//	@Override
//	public DsTypeEnum dsType() {
//		return DsTypeEnum.tdengine;
//	}
//
//	/**
//	 * 建立连接获取元数据
//	 * @param datasource
//	 * @param sql
//	 * @param consumer
//	 */
//	private void _accept(ReportDatasource datasource, String sql, Consumer<ResultSet> consumer) {
//		Connection connection = null;
//		Statement statement = null;
//		try {
//			connection = DynamicDataSourceSupport.createConnection(datasource);
//			statement = connection.createStatement();
//			ResultSet rs = statement.executeQuery(sql);
//			consumer.accept(rs);
//			rs.close();
//		} catch (Exception e) {
//			log.error(e.getMessage(), e);
//		} finally {
//			JdbcUtils.close(connection);
//			JdbcUtils.close(statement);
//		}
//	}
//}
