/**
 * 
 */
package org.springblade.datasource.model;

import java.io.Serializable;

import org.springblade.datasource.enums.DetailColumnTypeEnum;
import org.springblade.datasource.enums.ViewColumnTypeEnum;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author wookvn
 *
 */
@Data
public class TableColumnDto implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "字段名称")
	private String columnName;

	@ApiModelProperty(value = "字段注释")
	private String columnComments;

	@ApiModelProperty(value = "字段类型")
	private String dataType;

	@ApiModelProperty(value = "字段大小(对于 numeric 和 decimal 类型,列的精度)")
	private Integer columnSize;
	
	@ApiModelProperty(value = "小数部分位数")
	private Integer decimalDigits;
	
	@ApiModelProperty(value = "字段归类大类类型")
	private ViewColumnTypeEnum columnType;
	
	@ApiModelProperty(value = "字段归类细化类型")
	private DetailColumnTypeEnum detailColumnType;
	
	@ApiModelProperty(value = "是否允许为NULL(1-是/0-否)")
	private Integer nullAbleStatus;
	
    @ApiModelProperty(value = "是否主键")
    private Integer primaryKeyStatus;
    
    @ApiModelProperty(value = "是否自增")
    private Integer autoIncrementStatus = 0;
}
