/**
 * 
 */
package org.springblade.microapp.entity;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author wookvn
 *
 */
@Data
@TableName("micro_app_menu")
public class MicroAppMenu implements Serializable {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	@TableId(type = IdType.AUTO)
	private Integer menuId;
	
	private Integer parentId;
	
	@ApiModelProperty("应用ID")
	private Integer appId;
	
	@ApiModelProperty("菜单名称")
	private String menuName;
	
	@ApiModelProperty("菜单图标")
	private String menuIcon;
	
	@ApiModelProperty("大屏ID")
	private Integer visualId;
	
	@ApiModelProperty("大屏名称")
	private String visualName;
	
	@ApiModelProperty("是否首页显示(0-否/1-是)")
	private Integer homePageStatus;
	
	@ApiModelProperty("排序号(数值越大越靠前)")
	private Integer sortNum;
	
	@ApiModelProperty("创建人ID[增/改不需要传递]")
	private Long createUserId;
	
	@ApiModelProperty("创建时间[增/改不需要传递]")
	private Date createTime;

	@ApiModelProperty(value = "租户id")
	private String tenantId;
}
