/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.report.dto.request;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 列参数
 *
 * @author wuyf
 * @since 2021-03-10
 */
@Data
public class ColumnParam {

	@ApiModelProperty(value = "列名称",example = "USERNUM",required = true)
	private String columnName;

	@ApiModelProperty(value = "列注释",example = "有效用户",required = false)
	private String columnComments;

}
