package org.springblade.report.dto.request;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
public class QueryParam {

	@ApiModelProperty(value = "字段id列表", example = "", required = true)
	private List<Integer> dimensionIdList;

	@ApiModelProperty(value = "where查询Sql", example = "不带where关键字，例如: TheMonth>=202105", required = false)
	private String whereSql;

	@ApiModelProperty(value = "orderBy Sql", example = "完整的order by语句，例如: order by TheMonth desc ", required = false)
	private String orderBySql;

	@ApiModelProperty(value = "groupBy Sql", example = "完整的group by语句，例如 group by TheMonth ", required = false)
	private String groupBySql;

	@ApiModelProperty(value = "limit数值【暂无用，系统会报错；如需使用，需要后端优化】", example = "5", required = false)
	private Integer limitNum;
	
	@ApiModelProperty(value = "数据源ID")
	private Integer datasourceId; 
}
