/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.report.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 报表配置实体类
 *
 * @author BladeX
 * @since 2021-03-16
 */
@Data
@TableName("report_config")
@ApiModel(value = "Config对象", description = "报表配置")
public class Config implements Serializable {

	private static final long serialVersionUID = 1L;

	/**
	* 主键自增
	*/
		@ApiModelProperty(value = "主键自增")
		@TableId(value = "id", type = IdType.AUTO)
	private Integer id;
	/**
	* 用户id
	*/
		@ApiModelProperty(value = "用户id")
		private Long userId;
	/**
	* 报表id
	*/
		@ApiModelProperty(value = "报表id")
		private Long reportId;
	/**
	* 报表名称
	*/
		@ApiModelProperty(value = "报表名称")
		private String reportName;
	/**
	* 配置类型 1-列维度 2-行维度 3-指标
	*/
		@ApiModelProperty(value = "配置类型 1-列维度 2-行维度 3-指标")
		private Integer configType;
	/**
	* 创建时间
	*/
		@ApiModelProperty(value = "创建时间")
		private LocalDateTime createTime;


}
