/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.report.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.springblade.core.mp.base.TenantEntity;

/**
 * 报表维度实体类
 *
 * @author BladeX
 * @since 2021-06-01
 */
@Data
@TableName("report_dimension")
@ApiModel(value = "Dimension对象", description = "报表维度")
public class Dimension extends TenantEntity implements Serializable {

	private static final long serialVersionUID = 1L;

	/**
	* 主键自增
	*/
		@ApiModelProperty(value = "主键自增")
		@TableId(value = "id", type = IdType.AUTO)
	private Integer id;
	/**
	* 维度名称
	*/
		@ApiModelProperty(value = "维度名称")
		private String dimensionComments;
	/**
	* 维度字段
	*/
		@ApiModelProperty(value = "维度字段")
		private String dimensionName;
	/**
	* 显示名称
	*/
		@ApiModelProperty(value = "显示名称")
		private String dimensionTitle;
	/**
	* 表视图名称
	*/
		@ApiModelProperty(value = "表视图名称")
		private String tableViewName;
	/**
	* sql信息
	*/
		@ApiModelProperty(value = "sql信息")
		private String sqlText;
	/**
	* 附加信息
	*/
		@ApiModelProperty(value = "附加信息")
		private String data;
	/**
	* 0-维度 1-指标
	*/
		@ApiModelProperty(value = "0-维度 1-指标")
		private Integer dimensionType;
	/**
	* 格式化类型
	*/
		@ApiModelProperty(value = "格式化类型")
		private Integer formatType;
	/**
	* 数据源id
	*/
		@ApiModelProperty(value = "数据源id")
		private Integer datasourceId;
	/**
	* having信息
	*/
		@ApiModelProperty(value = "having信息")
		private String havingText;
	/**
	* 排序
	*/
		@ApiModelProperty(value = "排序")
		private Integer orderIndex;
	/**
	* 创建时间
	*/
		@ApiModelProperty(value = "创建时间")
		private LocalDateTime createTime;


}
