/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.report.mapper;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import org.apache.ibatis.annotations.Select;
import org.springblade.report.entity.ReportDatasource;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;

/**
 * 报表数据源 Mapper 接口
 *
 * @author BladeX
 * @since 2021-03-22
 */
public interface ReportDatasourceMapper extends BaseMapper<ReportDatasource> {

    @InterceptorIgnore(tenantLine = "true")
    @Select("select * from report_datasource where tenant_id = #{tenantId}")
    List<ReportDatasource> getList(String tenantId);

    @InterceptorIgnore(tenantLine = "true")
    @Select("select * from report_datasource where tenant_id = #{tenantId} and id = #{datasourceId}")
    ReportDatasource getByIdAndTenantId(Integer datasourceId, String tenantId);
}
