/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.report.service.impl;

import org.springblade.report.entity.ReportTemplate;
import org.springblade.report.vo.ReportTemplateVO;
import org.springblade.report.mapper.ReportTemplateMapper;
import org.springblade.report.service.IReportTemplateService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;

/**
 * 报告模板页 服务实现类
 *
 * @author BladeX
 * @since 2021-03-30
 */
@Service
public class ReportTemplateServiceImpl extends ServiceImpl<ReportTemplateMapper, ReportTemplate> implements IReportTemplateService {

	@Override
	public IPage<ReportTemplateVO> selectReportTemplatePage(IPage<ReportTemplateVO> page, ReportTemplateVO reportTemplate) {
		return page.setRecords(baseMapper.selectReportTemplatePage(page, reportTemplate));
	}

}
