/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.report.vo;

import java.util.List;

import org.springblade.report.dto.BladeRoleDTO;
import org.springblade.report.entity.Report;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 报表视图实体类
 *
 * @author BladeX
 * @since 2021-03-30
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "ReportVO对象", description = "报表")
public class ReportVO extends Report {
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "查看报表角色列表")
	private List<BladeRoleDTO> readRoleList;

	@ApiModelProperty(value = "编辑报表角色列表")
	private List<BladeRoleDTO> editRoleList;
}
