/**
 * 
 */
package org.springblade.resouces;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

import org.springblade.bi.client.CubeTableColumnClient;
import org.springblade.bi.client.model.CubeTableColumnModel;
import org.springblade.cube.model.CubeTableColumn;
import org.springblade.cube.service.CubeTableColumnService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RestController;

import cn.hutool.core.bean.BeanUtil;
import cn.hutool.core.bean.copier.CopyOptions;
import cn.hutool.core.collection.CollectionUtil;

/**
 * @author wookvn
 *
 */
@RestController
public class CubeTableColumnResource implements CubeTableColumnClient {

	@Autowired
	private CubeTableColumnService cubeTableColumnService;
	
	@Override
	public CubeTableColumnModel getById(Integer id) {
		CubeTableColumn tableColumn = cubeTableColumnService.getById(id);
		CubeTableColumnModel tableColumnModel = BeanUtil.copyProperties(tableColumn, CubeTableColumnModel.class, "viewDataType");
		tableColumnModel.setViewDataType(tableColumn.getViewDataType().getValue());
		return tableColumnModel;
	}

	@Override
	public List<CubeTableColumnModel> listByCubeId(Integer cubeId) {
		List<CubeTableColumn> tableColumnList = cubeTableColumnService.listByCubeId(cubeId);
		if(CollectionUtil.isNotEmpty(tableColumnList)) {
			Map<Integer, CubeTableColumn> dataMap = tableColumnList.stream().collect(Collectors.toMap(CubeTableColumn::getId, t -> t));
			List<CubeTableColumnModel> tableColumnModelList = BeanUtil.copyToList(tableColumnList, CubeTableColumnModel.class, 
					CopyOptions.create().setIgnoreProperties("viewDataType"));
			if(tableColumnModelList != null) {
				tableColumnModelList.stream().forEach(item -> item.setViewDataType(dataMap.get(item.getId()).getViewDataType().getValue()));
			}
			return tableColumnModelList;
		}
		return new ArrayList<>();
	}

}
