package org.springblade.subscribe.controller;

import cn.hutool.core.collection.CollectionUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springblade.core.boot.ctrl.BladeController;
import org.springblade.core.mp.support.Condition;
import org.springblade.core.mp.support.Query;
import org.springblade.core.tool.api.R;
import org.springblade.subscribe.entity.VisualSubscribeOperateLog;
import org.springblade.subscribe.entity.VisualSubscribePushLog;
import org.springblade.subscribe.service.VisualSubscribeOperateLogService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.format.annotation.DateTimeFormat;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Date;

@RestController
@RequestMapping("/subscribeOperateLog")
@Api(value = "订阅操作日志接口", tags = "订阅操作日志接口")
public class VisualSubscribeOperateLogController extends BladeController {

    @Autowired
    private VisualSubscribeOperateLogService operateLogService;


    /**
     *
     * @return
     */
    @GetMapping("/list")
    @ApiOperation(value = "订阅操作日志列表")
    public R<IPage<VisualSubscribeOperateLog>> list(VisualSubscribeOperateLog operateLog,
                                                 @DateTimeFormat(pattern = "yyyy-MM-dd") Date startTime, @DateTimeFormat(pattern = "yyyy-MM-dd") Date endTime, Query query){
        QueryWrapper<VisualSubscribeOperateLog> queryWrapper = Condition.getQueryWrapper(operateLog);
        queryWrapper.lambda().ge(startTime != null, VisualSubscribeOperateLog::getCreateTime, startTime)
                .lt(endTime != null, VisualSubscribeOperateLog::getCreateTime, endTime)
                .orderByDesc(VisualSubscribeOperateLog::getId);
        IPage<VisualSubscribeOperateLog> page = operateLogService.page(Condition.getPage(query), queryWrapper);
        return R.data(page);
    }
}
