package org.springblade.subscribe.entity;


import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springblade.subscribe.enums.DataType;
import org.springblade.subscribe.enums.NotifyType;
import org.springblade.subscribe.enums.OperateType;
import org.springblade.subscribe.enums.TriggerPeriod;

import java.io.Serializable;
import java.util.Date;

@Data
@TableName("visual_subscribe_operate_log")
@ApiModel("订阅操作日志")
public class VisualSubscribeOperateLog implements Serializable {
    /**
     *
     */

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty("订阅名称/标题")
    @TableField(condition = SqlCondition.LIKE)
    private String subTitle;

    @ApiModelProperty("订阅内容类型")
    private DataType dataType;

    @ApiModelProperty("订阅内容ID")
    private Integer dataId;

    @ApiModelProperty("通知方式")
    private NotifyType notifyType;

    @ApiModelProperty("操作人ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long operatorId;

    @ApiModelProperty("操作人姓名")
    private String operatorName;

    @ApiModelProperty("订阅人ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long userId;

    @ApiModelProperty("订阅人姓名")
    private String userName;

    @ApiModelProperty("操作类型")
    private OperateType operateType;

    @ApiModelProperty("订阅时间")
    private Date createTime;

    @ApiModelProperty(value = "租户id")
    private String tenantId;

}
