/**
 * 
 */
package org.springblade.subscribe.entity;

import java.io.Serializable;
import java.util.Date;

import org.springblade.subscribe.enums.DataType;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.SqlCondition;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springblade.subscribe.enums.NotifyType;

/**
 * @author wookvn
 *
 */
@Data
@TableName("visual_subscribe_push_log")
@ApiModel("订阅服务日志")
public class VisualSubscribePushLog implements Serializable  {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	@TableId(type = IdType.AUTO)
	private Integer id;
	
	@ApiModelProperty("订阅名称/标题")
	@TableField(condition = SqlCondition.LIKE)
	private String subTitle;
	
	@ApiModelProperty("订阅内容类型")
	private DataType dataType;


	@ApiModelProperty("通知方式")
	private NotifyType notifyType;
	
	@ApiModelProperty("订阅内容ID")
	private Integer dataId;
	
	@ApiModelProperty("发送的内容")
	private String content;
	
	@ApiModelProperty("订阅人ID")
	@JsonSerialize(using = ToStringSerializer.class)
	private Long userId;
	
	@ApiModelProperty("订阅人姓名")
	private String userName;
	
	@ApiModelProperty("错误码(0-成功/1-失败)")
	private Integer errCode;
	
	@ApiModelProperty("错误描述")
	private String errMsg;	
	
	@ApiModelProperty("订阅时间")
	private Date createTime;

	@ApiModelProperty(value = "租户id")
	private String tenantId;
	
}
