package org.springblade.usergroup.enums;
/**
 * 
 */
import org.springblade.datasource.enums.ViewColumnTypeEnum;

/**
 * @author wookvn
 *
 */
public interface DbClickHouseEnums {
	
	int BATCH_SIZE = 50000;
	int DEFAULT_MAX_SIZE = 100000000;
	String CHECK_TABLE_DATASIZE_SQL_FORMAT = "select count(1) from %s";
	
	/**
	 * 与{@link ViewColumnTypeEnum}保持一致
	 */
	enum ColumnType{
		NUMBER("Decimal64(4)"),
		STRING("String"),
		DATETIME("Datetime"),
		BIGINT("UInt64");
		
		public String columnType;
		private ColumnType(String columnType) {
			this.columnType = columnType;
		}
	}
	
	enum MethodType{
		//加时区【有一定的弊端：它认为所选字段为UTC时间，返回值会+8h】
		//如果clickhouse时区没有问题，不要添加时区
		DATE_TO_STR("formatDateTime(%s, '%s', 'Asia/Shanghai')"),
		STR_TO_DATE("parseDateTimeBestEffortOrNull(%s, 'Asia/Shanghai')"),
		NUMBER_TO_DATE("parseDateTimeBestEffortOrNull(toString(%s), 'Asia/Shanghai')"),
		JOINT_PERCENT("concat(toString(%s), '%%')");
		
		public String method;
		private MethodType(String method) {
			this.method = method;
		}
	}
	
	/**
	 *	日期格式化字符串
	 *	与#{link DateFormatEnum}保持一致
	 */
	enum DateTimeFormat{
		yyyy("%Y"),
		yyyyMM("%Y%m"),
		yyyy_MM("%Y-%m"),
		yyyy$MM("%Y/%m"),
		yyyyMMdd("%Y%m%d"),
		yyyy_MM_dd("%Y-%m-%d"),
		yyyy$MM$dd("%Y/%m/%d"),
		yyyyMMddhh$mm$ss("%Y%m%d %H:%M:%S"),
		yyyy_MM_ddhh$mm$ss("%Y-%m-%d %H:%M:%S"),
		yyyy$MM$ddhh$mm$ss("%Y/%m/%d %H:%M:%S"),
		hh("%H"),
		hh$mm("%H:%M"),
		hh$mm$ss("%H:%M:%S");
		
		public String formatPattern;
		private DateTimeFormat(String formatPattern) {
			this.formatPattern = formatPattern;
		}
	}
}
