/**
 *
 */
package org.springblade.usergroup.enums;


import java.util.Arrays;
import java.util.List;

import org.springblade.cube.model.FileStructure;

/**
 * @author wookvn
 *
 */
public enum DbCreateCKTableEnum {

	Clickhouse("create table %s (%s) ENGINE=MergeTree partition by %s order by %s COMMENT '%s'", "", "","",""){
		@Override
		public List<String> createTableSql(String tableName, String tableComment,
										   List<FileStructure> structureList, String partitionSql, String orderSql) {
			StringBuilder fieldSql = new StringBuilder();
			structureList.stream().forEach(f ->{
				fieldSql.append(String.format("%s %s COMMENT '%s',",
						f.getColumnName(), DbClickHouseEnums.ColumnType.valueOf(f.getColumnType().name()).columnType, f.getComment()));
			});
			fieldSql.deleteCharAt(fieldSql.length() - 1);
			return Arrays.asList(String.format(createTableSql, tableName, fieldSql.toString(), partitionSql,orderSql, tableComment));
		}
	};

	String createTableSql;
	String createTableCommentSql;
	String createColumnCommentSql;
	String partitionSql;
	String orderSql;

	/**
	 * @param createTableSql
	 * @param createTableCommentSql
	 * @param createColumnCommentSql
	 */
	private DbCreateCKTableEnum(String createTableSql, String createTableCommentSql, String createColumnCommentSql, String partitionSql, String orderSql) {
		this.createTableSql = createTableSql;
		this.createTableCommentSql = createTableCommentSql;
		this.createColumnCommentSql = createColumnCommentSql;
		this.partitionSql = partitionSql;
		this.orderSql = orderSql;
	}


	public abstract List<String> createTableSql(String tableName, String tableComment, List<FileStructure> structureList, String partitionSql, String orderSql);


}
