package org.springblade.visual.controller;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springblade.core.tool.api.R;
import org.springblade.visual.service.VisualPublicSourceInitService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/public/source")
@Api(value = "公共资源初始化接口",tags = "公共资源初始化相关接口")
public class VisualPublicSourceInit {

    @Autowired
    private VisualPublicSourceInitService visualPublicSourceInitService;

    @Value("${init.source}")
    private boolean initSource;

    @GetMapping("/init")
    @ApiOperation("初始化展示资源")
    public R<Boolean> initSource(String tenantId){
        if (!initSource) {
            return R.data(true);
        }

        return R.data(visualPublicSourceInitService.initSource(tenantId));
    }
}
