/**
 * 
 */
package org.springblade.visual.dto;

import java.io.Serializable;
import java.util.List;

import org.springblade.visual.enums.BloodRelationModelEnum;

import com.fasterxml.jackson.annotation.JsonIgnore;

/**
 * @author wookvn
 *
 */
public class BloodRelationDto implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	private String id;
	
	private String label;
	
	@JsonIgnore
	private String model;
	
	private BloodRelationModelEnum module;
	
	private List<BloodRelationDto> children;
	
	/**
	 * @param id
	 * @param label
	 * @param model
	 */
	public BloodRelationDto(String id, String label, String model) {
		super();
		this.id = id;
		this.label = label;
		this.model = model;
	}

	/**
	 * 
	 */
	public BloodRelationDto() {
		super();
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getLabel() {
		return label;
	}

	public void setLabel(String label) {
		this.label = label;
	}

	public String getModel() {
		return model;
	}

	public void setModel(String model) {
		this.model = model;
	}

	public BloodRelationModelEnum getModule() {
		return model != null ? BloodRelationModelEnum.valueOf(model) : module;
	}

	public void setModule(BloodRelationModelEnum module) {
		this.module = module;
	}

	public List<BloodRelationDto> getChildren() {
		return children;
	}

	public void setChildren(List<BloodRelationDto> children) {
		this.children = children;
	}

}
