/**
 * 
 */
package org.springblade.visual.dto;

import org.springblade.visual.entity.VisualComponent;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @author wookvn
 *
 */
@Setter
@Getter
@ApiModel(value = "ComponentDto对象", description = "组件结构体")
public class ComponentDto extends PreviewBaseDto {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	@ApiModelProperty("组件对象")
	private VisualComponent component;
	
	@ApiModelProperty("当前页码")
	private Integer pageNum = 0;
	
	@ApiModelProperty("大屏ID")
	private Integer visualDataId;
	
	//主要用于权限组判断
	@ApiModelProperty("大屏创建人ID")
	private Long visualDataCreateUserId;
	
	//以下字段仅为清单组件导出使用
	private Integer visualDataCid; //大屏分类ID
	private String visualDataTitle; //大屏名称
	private String fileName; //文件名称
	@ApiModelProperty("是否同步下载")
	private Boolean isSync;
}
