/**
 * 
 */
package org.springblade.visual.dto;

import java.io.Serializable;
import java.util.List;

import org.springblade.visual.enums.CommonFunctionEnum;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author wookvn
 *
 */
@Data
@ApiModel("过滤器条件")
@AllArgsConstructor
@NoArgsConstructor
public class ComponentFilterCondition implements Serializable {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	@ApiModelProperty("函数方法")
	private CommonFunctionEnum function;
	
	@ApiModelProperty("数值列表")
	private List<Object> values;
	
	@ApiModelProperty("变量键值")
	private String paramKey;
	
	/**
	 * 前端回填使用
	 */
	private Boolean useParam = false;
	
	/**
	 * @param function
	 * @param values
	 */
	public ComponentFilterCondition(CommonFunctionEnum function, List<Object> values) {
		super();
		this.function = function;
		this.values = values;
	}
	
}
