package org.springblade.visual.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @Author: hepingguo
 * @Description:
 * @Date: 2023/3/20 11:34
 **/
@Data
public class VisualLoginFreeLinkPermissionDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @ApiModelProperty(value = "主键")
    private Integer id;
    /**
     * 大屏id
     */
    @ApiModelProperty(value = "大屏id")
    private Integer visualDataId;
    /**
     * 大屏标题
     */
    @ApiModelProperty(value = "大屏标题")
    private String visualDataTitle;
    /**
     * 链接类型
     */
    @ApiModelProperty(value = "链接类型：0免登录 1账号匹配")
    private Integer linkType;
    /**
     * 账号id
     */
    @ApiModelProperty(value = "账号id")
    private Long userId;
    /**
     * 账号名称
     */
    @ApiModelProperty(value = "账号名称")
    private String userName;
    /**
     * 有效期
     */
    @ApiModelProperty(value = "有效期")
    private String validDate;

    /**
     * 用途
     */
    @ApiModelProperty(value = "用途")
    private String purpose;

    /**
     * 是否验证用户有效性
     */
    @ApiModelProperty(value = "是否验证用户有效性：0是 1否")
    private Integer isVerify;

    /**
     * 短链接
     */
    @ApiModelProperty(value = "短链接")
    private String shortLink;

    /**
     * 真实链接
     */
    @ApiModelProperty(value = "真实链接")
    private String realUrl;
    /**
     * 状态
     */
    @ApiModelProperty(value = "状态：0下线 1上线")
    private Integer status;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    private String createBy;
    /**
     * 创建人id
     */
    @ApiModelProperty(value = "创建人id")
    private Long createUserId;

    /**
     * 修改时间
     */
    @ApiModelProperty(value = "修改时间")
    private Date updateTime;
    /**
     * 修改人
     */
    @ApiModelProperty(value = "修改人")
    private String updateBy;

    /**
     * 修改人id
     */
    @ApiModelProperty(value = "修改人id")
    private Long updateUserId;


    /**
     * 三方token
     */
    @ApiModelProperty(value = "三方token")
    private String userToken;
    /**
     * 本系统token
     */
    @ApiModelProperty(value = "本系统token")
    private String accessToken;

    /**
     * 三方web嵌入是否公共可见
     */
    @ApiModelProperty(value = "是否公共可见 1：是，0：否")
    private Integer publicStatus;

    @ApiModelProperty(value = "权限组ID列表")
    private List<Integer> dataPermIdList;

    @ApiModelProperty(value = "校验密码")
    private String pass;
}
