package org.springblade.visual.dto;

import com.alibaba.fastjson2.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.SqlCondition;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

/**
 * @Author: hepingguo
 * @Description:
 * @Date: 2023/3/16 17:06
 **/
@Data
@ApiModel
public class VisualPowerInfoDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     *
     */
    @ApiModelProperty(value = "id")
    private Integer id;

    /**
     * 分类ID
     */
    @ApiModelProperty(value = "分类ID")
    private Integer cateId;

    /**
     * 幻灯片名称
     */
    @ApiModelProperty(value = "幻灯片名称")
    private String ppName;

    /**
     * 幻灯片月份
     */
    @ApiModelProperty(value = "幻灯片月份")
    private String ppMonth;

    /**
     * 幻灯片设置
     */
    @ApiModelProperty(value = "幻灯片设置JSON字符串，前端使用")
    private String settings;

    /**
     * 创建人ID
     */
    @ApiModelProperty(value = "创建人ID[系统自动添加]")
    private Long createUserId;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间[系统自动添加]")
    private LocalDateTime createTime;

    /**
     * 修改人
     */
    @ApiModelProperty(value = "修改人[系统自动添加]")
    private String updateBy;

    /**
     * 修改时间
     */
    @ApiModelProperty(value = "修改时间[系统自动添加]")
    private LocalDateTime updateTime;

    /**
     * 大屏数量
     */
    @ApiModelProperty(value = "大屏数量")
    private int visualCount;

    /**
     * 大屏ID列表 - 冗余字段，传参数使用
     */
    @ApiModelProperty(value = "大屏ID列表[按顺序逗号分隔]")
    private List<String> visualIds;

    @ApiModelProperty(value = "是否是公共PPT(1：是，0：否)")
    private Integer publicStatus;

    @ApiModelProperty(value = "权限组ID列表")
    private List<Integer> dataPermIdList;

    @ApiModelProperty(value = "幻灯片类型(0-普通幻灯片/1-我的收藏/2-归档)")
    private Integer visualType;
}
