package org.springblade.visual.entity;

import java.io.Serializable;
import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.SqlCondition;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springblade.core.mp.base.TenantEntity;

/**
 * 自定义组件表 visual_component_define
 * 
 * @author wookvn
 * @date 2023-02-11
 */
@Data
@TableName("visual_component_define")
@ApiModel(value = "VisualComponentDefine对象", description = "自定义组件")
public class VisualComponentDefine extends TenantEntity implements Serializable{

	private static final long serialVersionUID = 1L;
	
 	/** 
	 *  
	 */
	@TableId(type = IdType.AUTO)
	private Integer id;
	

	/** 
	 * 组件名称 
	 */
	@ApiModelProperty(value = "组件名称")
	@TableField(condition = SqlCondition.LIKE)
	private String componentName;

	/** 
	 * 组件图标 
	 */
	@ApiModelProperty(value = "组件图标")
	private String imageUrl;

	/** 
	 * 组件描述 
	 */
	@ApiModelProperty(value = "组件描述")
	private String description;

	/** 
	 * 组件版本号 
	 */
	@ApiModelProperty(value = "组件版本号")
	private String componentVersion;

	/** 
	 * 代码内容 
	 */
	@ApiModelProperty(value = "代码内容")
	private String codeText;

	/** 
	 * 是否发布(0-否[默认]/1-是) 
	 */
	@ApiModelProperty(value = "是否发布(0-否[默认]/1-是)")
	private Integer publishStatus;

	/** 
	 * 可视范围状态(0-个人[默认]/1-公开) 
	 */
	@ApiModelProperty(value = "可视范围状态(0-个人[默认]/1-公开)")
	private Integer viewScopeStatus;

	/** 
	 * 创建时间 
	 */
	@ApiModelProperty(value = "创建时间")
	private LocalDateTime createTime;

	/** 
	 * 创建人 
	 */
	@ApiModelProperty(value = "创建人")
	private Long createUserId;
	
	/** 
	 * 创建时间 
	 */
	@ApiModelProperty(value = "更新时间")
	private LocalDateTime updateTime;
	
	/** 
	 * 创建时间 
	 */
	@ApiModelProperty(value = "更新人")
	private String updateBy;
	
}
