/**
 * 
 */
package org.springblade.visual.entity;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springblade.core.mp.base.TenantEntity;

/**
 * @author wookvn
 *
 */
@Data
@TableName("visual_enum")
@ApiModel(value = "VisualEnum对象", description = "自定义枚举")
public class VisualEnum extends TenantEntity implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "主键")
	@TableId(value = "id", type = IdType.AUTO)
	private Integer id;
	
	@ApiModelProperty(value = "唯一key值")
	private String keyCode;
	
	@ApiModelProperty(value = "json内容")
	private String content;
	
	@ApiModelProperty(value = "排序号")
	private Integer sortNum;
	
	@ApiModelProperty(value = "创建人ID[新增/修改无需传递]")
	@JsonSerialize(using = ToStringSerializer.class)
	private Long userId;
	
	@ApiModelProperty(value = "创建人[新增/修改无需传递]")
	private String userName;
	
	@ApiModelProperty(value = "创建时间")
	private Date createTime;
	
	@ApiModelProperty(value = "更新时间")
	private Date updateTime;
}
