package org.springblade.visual.entity;

import java.io.Serializable;
import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 幻灯片权限组表 visual_power_point_permission
 * 
 * @author wookvn
 * @date 2023-02-04
 */
@Data
@TableName("visual_power_point_permission")
@ApiModel(value = "VisualPowerPointPermission对象", description = "幻灯片权限组")
public class VisualPowerPointPermission implements Serializable{

	private static final long serialVersionUID = 1L;
	
 	/** 
	 *  
	 */
	@TableId(type = IdType.AUTO)
	private Integer id;
	

	/** 
	 * 幻灯片ID 
	 */
	@ApiModelProperty(value = "幻灯片ID")
	private Integer ppId;

	/** 
	 * 权限组ID 
	 */
	@ApiModelProperty(value = "权限组ID")
	private Integer dataPermId;

	/** 
	 * 创建时间 
	 */
	@ApiModelProperty(value = "创建时间")
	@TableField(fill = FieldFill.INSERT)
	private LocalDateTime createTime;

	/** 
	 * 创建人 
	 */
	@ApiModelProperty(value = "创建人")
	private String createBy;

	/** 
	 * 创建人ID 
	 */
	@ApiModelProperty(value = "创建人ID")
	private Long createUserId;
}
