package org.springblade.visual.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springblade.core.mp.base.TenantEntity;

import java.io.Serializable;
import java.util.Date;

@Data
@TableName("visual_report_category_favourite")
@ApiModel(value = "VisualReportCategoryFavourite对象", description = "我的收藏自主报表分类表")
public class VisualReportCategoryFavourite extends TenantEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @ApiModelProperty(value = "主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 分类名称
     */
    @ApiModelProperty(value = "分类名称")
    @TableField(condition = SqlCondition.LIKE)
    private String categoryName;

    /**
     * 排序号
     */
    @ApiModelProperty(value = "排序号")
    private Integer sortNum;

    /**
     * 创建人ID
     */
    @ApiModelProperty(value = "创建人ID")
    private Long createUserId;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    private Date createTime;
}
