package org.springblade.visual.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.SuperBuilder;
import org.springblade.core.mp.base.TenantEntity;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;

/**
 * @Author: hepingguo
 * @Description:
 * @Date: 2023/3/20 16:31
 **/
@Data
@TableName("visual_self_report_category")
@ApiModel(value = "VisualSelfReportCategory对象", description = "自主报表分类模板")
public class VisualSelfReportCategory extends TenantEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @ApiModelProperty(value = "主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;
    /**
     * 父分类id
     */
    @ApiModelProperty(value = "父分类id")
    private Integer parentId;

    /**
     * 分类名称
     */
    @ApiModelProperty(value = "分类名称")
    private String categoryValue;

    /**
     * 排序号
     */
    @ApiModelProperty(value = "排序号")
    private Integer sortNum;

    /**
     * 创建人ID
     */
    @ApiModelProperty(value = "创建人ID")
    private Long createUserId;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    private Date createTime;
}
