package org.springblade.visual.entity;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

import org.springblade.visual.enums.WarningWayEnum;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonIgnore;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 智能预警记录表 visual_warning_record
 * 
 * @author wookvn
 * @date 2022-03-09
 */
@Data
@TableName("visual_warning_record")
@ApiModel(value = "VisualWarningRecord对象", description = "智能预警记录")
public class VisualWarningRecord implements Serializable{

	private static final long serialVersionUID = 1L;
	
 	/** 
	 *  
	 */
	@TableId(type = IdType.AUTO)
	private Integer id;
	
	/** 
	 * 预警器ID 
	 */
	@ApiModelProperty(value = "预警器ID")
	@TableField(value = "warning_id")
	private Integer warningId;
	/** 
	 * 预警器名称 
	 */
	@ApiModelProperty(value = "预警器名称")
	@TableField(value = "warning_name")
	private String warningName;
	/** 
	 * 预警数据 
	 */
	@ApiModelProperty(value = "预警数据")
	@TableField(value = "warn_data")
	private String warnData;
	/** 
	 * 预警内容 
	 */
	@ApiModelProperty(value = "预警内容")
	@TableField(value = "warn_message")
	private String warnMessage;
	/** 
	 * 预警消息类型
	 */
	@JsonIgnore
	@ApiModelProperty(value = "预警消息方式", hidden = true)
	@TableField(value = "warn_message_way")
	private Integer warnMessageWay;
	/** 
	 * 预警类型 
	 */
	@ApiModelProperty(value = "预警类型")
	@TableField(value = "warn_type")
	private Integer warnType;
	/** 
	 * 解决状态(0-待解决/1-已解决) 
	 */
	@ApiModelProperty(value = "解决状态(0-待解决/1-已解决)")
	@TableField(value = "resolve_status")
	private Integer resolveStatus;
	/** 
	 * 误报状态(0-否/1-是) 
	 */
	@ApiModelProperty(value = "误报状态(0-否/1-是)")
	@TableField(value = "distort_status")
	private Integer distortStatus;
	/** 
	 * 备注 
	 */
	@ApiModelProperty(value = "备注")
	@TableField(value = "remark")
	private String remark;
	/** 
	 * 创建时间 
	 */
	@ApiModelProperty(value = "创建时间")
	@TableField(value = "create_time")
	private Date createTime;
	/** 
	 * 更新时间 
	 */
	@ApiModelProperty(value = "更新时间")
	@TableField(value = "update_time")
	private Date updateTime;
	/** 
	 * 更新人 
	 */
	@ApiModelProperty(value = "更新人")
	@TableField(value = "update_by")
	private String updateBy;
	
	@ApiModelProperty(value = "选中的推送方式")
	@TableField(exist = false)
	private List<WarningWayEnum> checkedWays;
	
	public List<WarningWayEnum> getCheckedWays(){
		return warnMessageWay != null ? WarningWayEnum.checkedList(warnMessageWay) : null;
	}

	@ApiModelProperty(value = "租户id")
	private String tenantId;
}
