/**
 * 
 */
package org.springblade.visual.enums;

import java.time.LocalDateTime;

/**
 * @author wookvn
 *
 */
public enum FilterTimeModifierEnum {

	BEFORE {
		@Override
		public LocalDateTime getTime(int period, FilterTimeTypeEnum timeType) {
			switch (timeType) {
			case DAY: {
				return LocalDateTime.now().minusDays(period);
			}
			case MONTH: {
				return LocalDateTime.now().minusMonths(period);
			}
			case QUARTER: {
				return LocalDateTime.now().minusMonths(period * 3);
			}
			}
			return LocalDateTime.now();
		}
	},

	AFTER {
		@Override
		public LocalDateTime getTime(int period, FilterTimeTypeEnum timeType) {
			switch (timeType) {
			case DAY: {
				return LocalDateTime.now().plusDays(period);
			}
			case MONTH: {
				return LocalDateTime.now().plusMonths(period);
			}
			case QUARTER: {
				return LocalDateTime.now().plusMonths(period * 3);
			}
			}
			return LocalDateTime.now();
		}
	};

	public abstract LocalDateTime getTime(int period, FilterTimeTypeEnum timeType);
}
