/**
 * 
 */
package org.springblade.visual.task.unicom;

import java.util.Arrays;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import com.alibaba.fastjson2.JSON;

import cn.hutool.crypto.digest.DigestUtil;
import lombok.extern.slf4j.Slf4j;

/**
 * @author wookvn
 *
 *  联通短信
 */
@Slf4j
public class UnicomSmsSender {
	
	final static String smsid = "20210423";
	final static String contentid = "2022032901";
	final static String password = "boyuankl";

	/**
	 * 
	 * @param paramMap
	 * @param contentId
	 * @param mobiles
	 */
	public static void sendSms(String content, String... mobiles) {
		for (String mobile : mobiles) {
			try {
				//【{projects}】{name}
				Map<String, String> paramMap = new HashMap<String, String>();
				paramMap.put("projects", "联通流量");
				paramMap.put("name", content);
				
				//!QAZ2wsx
				String userid = DesUtil.encode(mobile, password),
					   timestamp = String.valueOf(System.currentTimeMillis() / 1000),
					   vars = JSON.toJSONString(paramMap);
				Map<String, String> requestMap = new HashMap<>();
				requestMap.put("smsid", smsid);
				requestMap.put("userid", userid);
				requestMap.put("timestamp", timestamp);
				requestMap.put("vars", vars);
				requestMap.put("contentid", contentid);
				requestMap.put("content", "");
				List<String> signList = Arrays.asList(smsid, userid, timestamp, vars, contentid);
				String sign = DigestUtil.sha1Hex(String.join("", signList) + password).toLowerCase();
				requestMap.put("sign", sign);
				/**
				 * 测试：http://testapi.mige.tv/
				   正式：[http://csapi.mige.tv:809  http://cctv2.mige.tv] -> [http://172.16.1.81:809]
				 */
				String response = HttpKit.get("http://172.16.1.81:809/smsbusi/sms/send", requestMap);
				log.info(String.format("SMS:request|mobile=%s,response=%s", mobile, response));
				//{resultcode: "0", errorinfo: "", taskid: ""}
//				if(response != null && !"".equals(response)) {
//					JSONObject resultObject = JSON.parseObject(response);
//					return resultObject.getString("resultcode");
//				}
			} catch (Exception e) {
				log.error(e.getMessage(), e);
			}
		}
	}
}
