/**
 *
 */
package org.springblade.bi.client;

import org.springblade.bi.client.form.AggCubeCreateForm;
import org.springblade.bi.client.form.ChangeCubeDataStatusParams;
import org.springblade.bi.client.form.CubeBrowserSqlForm;
import org.springblade.bi.client.model.CubeBrowserSqlModel;
import org.springblade.bi.client.model.CubeDataModel;
import org.springblade.common.openfeign.OpenFeignConstants;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * @author wookvn
 * <p>
 * 数据集Client
 */
//@RequestMapping(OpenFeignConstants.BI_SERVICE + "/cube")
@FeignClient(contextId = "cubeDataClient",
        value = OpenFeignConstants.BI_SERVICE)
//        ,fallbackFactory = CubeDataClientFallbackFactory.class)
public interface CubeDataClient {

    /**
     * @param id
     * @return
     */
    @GetMapping(OpenFeignConstants.BI_SERVICE + "/cube/info/{id}")
    public CubeDataModel getById(@PathVariable Integer id);

    /**
     * 构建低代码的数据查询SQL
     *
     * @return
     */
    @PostMapping(OpenFeignConstants.BI_SERVICE + "/cube/lowcode/browserSql")
    public CubeBrowserSqlModel buildBrowserSql(@RequestBody CubeBrowserSqlForm browserSqlForm);

    /**
     * 修改数据集状态
     * @param params
     * @return
     */
    @PostMapping(OpenFeignConstants.BI_SERVICE + "/cube/changeCubeDataStatus")
    public boolean changeCubeDataStatus(@RequestBody ChangeCubeDataStatusParams params);

    /**
     * 创建聚合数据集
     * @return
     */
    @PostMapping(OpenFeignConstants.BI_SERVICE + "/aggcube/create")
    public Integer createAggCubeData(@RequestBody AggCubeCreateForm aggCubeCreateForm);
}
