/**
 * 
 */
package org.springblade.bi.client;

import java.util.List;
import java.util.Map;

import org.springblade.bi.client.factory.CubeGlobalParamClientFallbackFactory;
import org.springblade.common.openfeign.OpenFeignConstants;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * @author wookvn
 *
 */
@FeignClient(contextId = "cubeGlobalParamClient",
	value = OpenFeignConstants.BI_SERVICE,
	fallbackFactory = CubeGlobalParamClientFallbackFactory.class)
public interface CubeGlobalParamClient {

	/**
	 * 获取全局变量MAP
	 * @param dateTimeFormat - 参考{@link org.springblade.datasource.enums.DateFormatEnum} 的 name值
	 * @return
	 */
	@GetMapping(OpenFeignConstants.BI_SERVICE + "/cubeGlobalParam/list")
	public Map<String, List<Object>> getSysGlobalParamMap(@RequestParam String dateTimeFormat);
	
}
