/**
 * 
 */
package org.springblade.bi.client;

import java.util.List;

import org.springblade.bi.client.factory.CubeTableColumnClientFallbackFactory;
import org.springblade.bi.client.model.CubeTableColumnModel;
import org.springblade.common.openfeign.OpenFeignConstants;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;

/**
 * @author wookvn
 *
 */
//@RequestMapping(OpenFeignConstants.BI_SERVICE + "/cubeTableColumn")
@FeignClient(contextId = "cubeTableColumnClient", 
	value = OpenFeignConstants.BI_SERVICE, 
	fallbackFactory = CubeTableColumnClientFallbackFactory.class)
public interface CubeTableColumnClient {

	/**
	 * 根据数据集字段ID查询对象
	 * @param id
	 * @return
	 */
	@GetMapping(OpenFeignConstants.BI_SERVICE + "/cubeTableColumn/info/{id}")
	public CubeTableColumnModel getById(@PathVariable Integer id);
	
	/**
	 * 根据数据集ID查询数据集字段列表
	 * @param cubeId
	 * @return
	 */
	@GetMapping(OpenFeignConstants.BI_SERVICE + "/cubeTableColumn/listByCubeId/{cubeId}")
	public List<CubeTableColumnModel> listByCubeId(@PathVariable Integer cubeId);
}
