/**
 * 
 */
package org.springblade.bi.client;

import com.alibaba.fastjson2.JSONObject;
import org.springblade.bi.client.form.BaseDsForm;
import org.springblade.bi.client.form.PageDsForm;
import org.springblade.bi.client.model.PageModel;
import org.springblade.common.openfeign.OpenFeignConstants;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

/**
 * @author wookvn
 *
 */
//@RequestMapping(OpenFeignConstants.BI_SERVICE + "/dynamicDsClient")
@FeignClient(contextId = "dynamicDsClient", 
	value = OpenFeignConstants.BI_SERVICE)
//	,fallbackFactory = DynamicDataSourceClientFallbackFactory.class)
public interface DynamicDataSourceClient {

	/**
	 * 查询列表
	 * @param dsForm
	 * @return
	 */
	@PostMapping(OpenFeignConstants.BI_SERVICE + "/dynamicDsClient/list")
	public List<JSONObject> list(@RequestBody BaseDsForm dsForm);
	
	/**
	 * 分页查询
	 * @param dsForm
	 * @return
	 */
	@PostMapping(OpenFeignConstants.BI_SERVICE + "/dynamicDsClient/page")
	public PageModel<JSONObject> page(@RequestBody PageDsForm dsForm);
	
	/**
	 * 查询单个
	 * @param dsForm
	 * @return
	 */
	@PostMapping(OpenFeignConstants.BI_SERVICE + "/dynamicDsClient/getOne")
	public JSONObject getOne(@RequestBody BaseDsForm dsForm);
	
	/**
	 * 执行SQL
	 * @param dsForm
	 */
	@PostMapping(OpenFeignConstants.BI_SERVICE + "/dynamicDsClient/exec")
	public void execute(@RequestBody BaseDsForm dsForm);

	/**
	 * 执行SQL
	 * @param dsForm
	 */
	@PostMapping(OpenFeignConstants.BI_SERVICE + "/dynamicDsClient/execNew")
	public JSONObject executeNew(@RequestBody BaseDsForm dsForm);
	
	/**
	 * 该方法会在某个版本过期，请使用 @link {DmlDataSourceClient#save()}
	 * 插入数据并返回自增ID值
	 * @param dsForm - 主键ID字段名{@link BaseDsForm#getIdColumn()}必须传递
	 * @return
	 */
	@Deprecated
	@PostMapping(OpenFeignConstants.BI_SERVICE + "/insertReturnAutoIncrementIdValue/exec")
	public Long insertReturnAutoIncrementIdValue(@RequestBody BaseDsForm dsForm);
	
	/**
	 * 预编译执行SQL - 主要用于增删改
	 * @param dsForm
	 */
	@PostMapping(OpenFeignConstants.BI_SERVICE + "/dynamicDsClient/preparedExecute")
	public void preparedExecute(@RequestBody BaseDsForm dsForm);

}