/**
 * 
 */
package org.springblade.bi.client.factory;

import org.springblade.bi.client.CubeDataClient;
import org.springblade.bi.client.form.AggCubeCreateForm;
import org.springblade.bi.client.form.ChangeCubeDataStatusParams;
import org.springblade.bi.client.form.CubeBrowserSqlForm;
import org.springblade.bi.client.model.CubeBrowserSqlModel;
import org.springblade.bi.client.model.CubeDataModel;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;

import lombok.extern.slf4j.Slf4j;

/**
 * @author wookvn
 *
 */
@Slf4j
@Component
public class CubeDataClientFallbackFactory implements FallbackFactory<CubeDataClient> {

	@Override
	public CubeDataClient create(Throwable cause) {
		log.error("CubeDataClient invoke fallback:{}", cause.getMessage());
		return new CubeDataClient() {

			@Override
			public CubeDataModel getById(Integer id) {
				return null;
			}

			@Override
			public CubeBrowserSqlModel buildBrowserSql(CubeBrowserSqlForm browserSqlForm) {
				return null;
			}

			@Override
			public boolean changeCubeDataStatus(ChangeCubeDataStatusParams params) {
				return false;
			}

			@Override
			public Integer createAggCubeData(AggCubeCreateForm aggCubeCreateForm) {
				return null;
			}
		};
	}

}
