/**
 * 
 */
package org.springblade.bi.client.factory;

import java.util.List;
import java.util.Map;

import org.springblade.bi.client.CubeGlobalParamClient;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;

import lombok.extern.slf4j.Slf4j;

/**
 * @author wookvn
 *
 */
@Slf4j
@Component
public class CubeGlobalParamClientFallbackFactory implements FallbackFactory<CubeGlobalParamClient> {

	@Override
	public CubeGlobalParamClient create(Throwable cause) {
		log.error("CubeGlobalParamClient invoke fallback:{}", cause.getMessage());
		return new CubeGlobalParamClient() {
			@Override
			public Map<String, List<Object>> getSysGlobalParamMap(String dateTimeFormat) {
				return null;
			}
		};
	}
}
