/**
 * 
 */
package org.springblade.bi.client.factory;

import java.util.List;

import org.springblade.bi.client.CubeTableColumnClient;
import org.springblade.bi.client.model.CubeTableColumnModel;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;

import lombok.extern.slf4j.Slf4j;

/**
 * @author wookvn
 *
 */
@Slf4j
@Component
public class CubeTableColumnClientFallbackFactory implements FallbackFactory<CubeTableColumnClient> {

	@Override
	public CubeTableColumnClient create(Throwable cause) {
		log.error("CubeTableColumnClient invoke fallback:{}", cause.getMessage());
		return new CubeTableColumnClient() {

			@Override
			public CubeTableColumnModel getById(Integer id) {
				return null;
			}

			@Override
			public List<CubeTableColumnModel> listByCubeId(Integer cubeId) {
				return null;
			}
			
		};
	}

}
