package org.springblade.bi.client.factory;

import lombok.extern.slf4j.Slf4j;
import org.springblade.bi.client.CubeWorkspaceClient;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;

@Slf4j
@Component
public class CubeWorkspaceClientFallbackFactory implements FallbackFactory<CubeWorkspaceClient> {
    @Override
    public CubeWorkspaceClient create(Throwable cause) {
        log.error("CubeWorkspaceClient invoke fallback:{}", cause.getMessage());
        return model -> null;
    }
}
