/**
 * 
 */
package org.springblade.bi.client.factory;

import org.springblade.bi.client.DataSourceClient;
import org.springblade.bi.client.model.DataSourceModel;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;

import lombok.extern.slf4j.Slf4j;

/**
 * @author wookvn
 *
 */
@Slf4j
@Component
public class DataSourceClientFallbackFactory implements FallbackFactory<DataSourceClient> {

	@Override
	public DataSourceClient create(Throwable cause) {
		log.error("DataSourceClient invoke fallback:{}", cause.getMessage());
		return new DataSourceClient() {

			@Override
			public DataSourceModel getById(Integer id) {
				return null;
			}
			
		};
	}

}
