package org.springblade.bi.client.form.param;

import lombok.Data;
import lombok.ToString;
import org.springblade.bi.client.form.enums.LinkTypeEnum;

import java.io.Serializable;
import java.util.List;

@Data
@ToString(includeFieldNames = false)
public class MixLinkJoinItem implements Serializable {

    /**
     * 关联类型
     */
    private LinkTypeEnum linkType;

    /**
     * 主数据集ID
     */
    private Integer masterCubeId;

    /**
     * 主表名
     */
    private String masterTableName;

    /**
     * 关联数据集ID
     */
    private Integer subCubeId;

    /**
     * 关联表名
     */
    private String subTableName;

    /**
     * 关联类型，使用{@link org.springblade.cube.enums.JoinTypeEnum}的enumname
     */
    private String joinType = "LEFT_JOIN";

    /**
     * 关联层级，默认：1
     */
    private Integer joinLevel = 1;

    /**
     * 主数据集和子数据集的关联关系
     */
    private List<JoinColumnItem> joinColumns;

}
